{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-22.11";
  };
  outputs = {
    self,
    nixpkgs,
  }: let
    system = "x86_64-linux";
    pkgs = import nixpkgs {inherit system;};
  in {
    devShells."${system}".default = pkgs.mkShell {
      packages = with pkgs;
      with pkgs.gnome; [
        hexchat
        audacity
        proot
        yubikey-manager-qt
        cheese
        remmina
        exiv2
        wireshark-qt
        seahorse
        kotatogram-desktop
        usbutils
        networkmanagerapplet
        sshfs-fuse
        pavucontrol
        libwebcam
        just
        eog
        git-crypt
        espanso
        unetbootin
        vcsh
        skypeforlinux
        du-dust
        bind
        teamviewer
        gparted
        neovim
        inkscape
        rustdesk
        gnome-themes-extra
        pass
        xdg-user-dirs
        cbatticon
        yubikey-personalization-gui
        zoom
        signal-desktop
        xorg.xbacklight
        vscode
        ripgrep
        lightdm
        nixpkgs-fmt
        git-lfs
        qtpass
        gimp
        lxappearance
        flameshot
        thunderbird
        fprintd
        chromium
        evtest
        alejandra
        vlc
        pastebinit
        evolution
        zbar
        libreoffice
        brave
        pidgin
        direnv
        xorg.xhost
        lorri
        firefox
        logseq
        x11_ssh_askpass
        xsel
        feh
        htop
        openvpn
        syncthing
        ncdu
        rofi-pass
        testdisk
        vanilla-dmz
        wireguard-tools
        xarchive
        gnome-icon-theme
        wget
        nix-index
        mr
        passff-host
        browserpass
        xorg.xcursorthemes
        gitRepo
        gitSVN
        androidenv.androidPkgs_9_0.platform-tools

        # introduces python
        (qtile.passthru.unwrapped.overrideAttrs (oldAttrs: {
          propagatedBuildInputs =
            []
            # ++ oldAttrs.passthru.unwrapped.propagatedBuildInputs
            # ++ (with pkgs.python3Packages; [
            #   # python-wifi
            #   # iwlib
            #   keyring
            # ])
            ;

          makeWrapperArgs =
            oldAttrs.makeWrapperArgs
            ++ [
              "--prefix PATH : ${pkgs.lib.makeBinPath oldAttrs.propagatedBuildInputs}"
            ];
        }))

        # gi-docgen
        # yelp-tools
        # scons
        # autorandr
        # arandr
        # meson
        # mercurial
        # unrar-wrapper
        # orca
        # radicale
        # criu
        # gnome-music
        # gnome-browser-connector
        # radicale
        # hplip
        # qtile
        # gtk-doc
        # asciidoc
        # meson
      ];
    };
  };
}
